## python-thinc 6.12.1

=== requirements.txt ===
cython>=0.25.0
numpy>=1.7.0
msgpack-numpy<0.4.4.0
msgpack>=0.5.6,<0.6.0
murmurhash>=0.28.0,<1.1.0
cymem>=2.0.0,<3.0.0
preshed>=2.0.0,<3.0.0
cytoolz>=0.9.0,<0.10.0
wrapt>=1.10.0,<1.11.0
plac>=0.9.6,<1.0.0
tqdm>=4.10.0,<5.0.0
six>=1.10.0,<2.0.0
dill>=0.2.7,<0.3.0
hypothesis>=2.0.0,<3.0.0
pytest>=3.6.0,<4.0.0
mock>=2.0.0,<3.0.0
pathlib==1.0.1; python_version < "3.4"

=== debian/changelog ===
python-thinc (6.12.1-1) unstable; urgency=medium

  * New upstream version
  * Remove Mo Zhou <cdluminate@gmail.com> as Uploader as requested
    (thanks a lot for the preparation anyway)
  * Fix cut-n-pasto
  * This package is maintained in science team
  * Build-Depends: python3-msgpack-numpy
  * Build-Depends: python3-cytoolz

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 09:01:35 +0100

python-thinc (6.12.0-1) unstable; urgency=low

  * Initial release. (Closes: #901231)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Nov 2018 11:39:03 +0100

=== debian/control ===
Source: python-thinc
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-pytest,
               python3-numpy,
               cython3,
               python3-murmurhash,
               python3-cymem,
               python3-cytoolz,
               python3-preshed,
               python3-hypothesis,
               python3-tqdm,
               python3-plac,
               python3-termcolor,
               python3-wrapt,
               python3-dill,
               python3-msgpack,
               python3-msgpack-numpy,
               python3-mock,
               python3-six,
               python3-wheel
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/python-thinc
Vcs-Git: https://salsa.debian.org/science-team/python-thinc.git
Homepage: https://github.com/explosion/thinc

Package: python3-thinc
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Practical Machine Learning for NLP in Python
 Thinc is the machine learning library powering spaCy <https://spacy.io>.
 It features a battle-tested linear model designed for large sparse
 learning problems, and a flexible neural network model under development
 for spaCy v2.0 <https://spacy.io/usage/v2>.
 .
 Thinc is a practical toolkit for implementing models that follow the
 "Embed, encode, attend, predict" architecture. It's designed to be easy
 to install, efficient for CPU usage and optimised for NLP and deep
 learning with text – in particular, hierarchically structured input
 and variable-length sequences.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = thinc
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --requires=requirements.txt

override_dh_auto_install:
	dh_auto_install
	-find debian -type d -path '*.hypothesis*' -exec rm -rf '{}' +

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="cd {build_dir} && {interpreter} -Wd -m pytest thinc -v -rs" \
		dh_auto_test
endif

override_dh_auto_clean:
	dh_auto_clean
	-find . -type f -name cythonize.dat -delete

=== debian/watch ===
version=4

https://github.com/explosion/thinc/releases .*/archive/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-thinc 8.1.7

=== requirements.txt ===
# Explosion-provided dependencies
murmurhash>=1.0.2,<1.1.0
cymem>=2.0.2,<2.1.0
preshed>=3.0.2,<3.1.0
blis>=0.7.8,<0.8.0
srsly>=2.4.0,<3.0.0
wasabi>=0.8.1,<1.2.0
catalogue>=2.0.4,<2.1.0
confection>=0.0.1,<1.0.0
ml_datasets>=0.2.0,<0.3.0; python_version < "3.11"
# Third-party dependencies
pydantic>=1.7.4,!=1.8,!=1.8.1,<1.11.0
numpy>=1.15.0
packaging>=20.0
# Backports of modern Python features
dataclasses>=0.6,<1.0; python_version < "3.7"
typing_extensions>=3.7.4.1,<4.5.0; python_version < "3.8"
contextvars>=2.4,<3; python_version < "3.7"
# Development dependencies
cython>=0.25.0,<3.0
hypothesis>=3.27.0,<7.0.0
pytest>=5.2.0,!=7.1.0
pytest-cov>=2.7.0,<5.0.0
coverage>=5.0.0,<8.0.0
mock>=2.0.0,<3.0.0
flake8>=3.5.0,<3.6.0
mypy>=0.990,<0.1000; python_version >= "3.7"
types-mock>=0.1.1
types-contextvars>=0.1.2; python_version < "3.7"
types-dataclasses>=0.1.3; python_version < "3.7"
importlib_resources; python_version < "3.7"
# Executing notebook tests
ipykernel>=5.1.4,<5.2.0
nbconvert>=5.6.1,<6.2.0
nbformat>=5.0.4,<5.2.0
# Test to_disk/from_disk against pathlib.Path subclasses
pathy>=0.3.5
black>=22.0,<23.0

=== debian/changelog ===
python-thinc (8.1.7-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream release. (Closes: #966844)
    - Fixes FTBFS with Python 3.8 (Closes: #947111)
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Wrap and sort Debian packaging
  * Use the upstream website as the Homepage

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix watchfile to detect new versions on github
  * Build-Depends: python3-srsly
  * Add missing build-dependency on python3-setuptools.
  * Make blis dependency unversioned to build with "current" Debian version
  * Depends: python3-confection
  * Do not mention files removed upstream in d/copyright
  * Build-Depends: pybuild-plugin-pyproject

 -- Andreas Tille <tille@debian.org>  Wed, 08 Feb 2023 09:05:44 +0100

=== debian/control ===
Source: python-thinc
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cymem,
               python3-cython-blis,
               python3-cytoolz,
               python3-dill,
               python3-hypothesis,
               python3-mock,
               python3-msgpack,
               python3-msgpack-numpy,
               python3-murmurhash,
               python3-numpy,
               python3-plac,
               python3-preshed,
               python3-pytest,
               python3-six,
               python3-srsly,
               python3-termcolor,
               python3-tqdm,
               python3-wheel,
               python3-wrapt,
               python3-distutils,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/python-thinc
Vcs-Git: https://salsa.debian.org/science-team/python-thinc.git
Homepage: https://thinc.ai/
Rules-Requires-Root: no

Package: python3-thinc
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-wasabi,
         python3-confection
Description: Practical Machine Learning for NLP in Python
 Thinc is the machine learning library powering spaCy <https://spacy.io>.
 It features a battle-tested linear model designed for large sparse
 learning problems, and a flexible neural network model under development
 for spaCy v2.0 <https://spacy.io/usage/v2>.
 .
 Thinc is a practical toolkit for implementing models that follow the
 "Embed, encode, attend, predict" architecture. It's designed to be easy
 to install, efficient for CPU usage and optimised for NLP and deep
 learning with text – in particular, hierarchically structured input
 and variable-length sequences.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME = thinc
 export PYBUILD_DISABLE_python2 = 1

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/explosion/thinc/tags .*/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-thinc 8.2.2

=== requirements.txt ===
--- 
+++ 
@@ -9,8 +9,9 @@
 confection>=0.0.1,<1.0.0
 ml_datasets>=0.2.0,<0.3.0; python_version < "3.11"
 # Third-party dependencies
-pydantic>=1.7.4,!=1.8,!=1.8.1,<1.11.0
-numpy>=1.15.0
+pydantic>=1.7.4,!=1.8,!=1.8.1,<3.0.0
+numpy>=1.15.0; python_version < "3.9"
+numpy>=1.19.0; python_version >= "3.9"
 packaging>=20.0
 # Backports of modern Python features
 dataclasses>=0.6,<1.0; python_version < "3.7"
@@ -18,13 +19,13 @@
 contextvars>=2.4,<3; python_version < "3.7"
 # Development dependencies
 cython>=0.25.0,<3.0
-hypothesis>=3.27.0,<7.0.0
+hypothesis>=3.27.0,<6.72.2
 pytest>=5.2.0,!=7.1.0
 pytest-cov>=2.7.0,<5.0.0
 coverage>=5.0.0,<8.0.0
 mock>=2.0.0,<3.0.0
 flake8>=3.5.0,<3.6.0
-mypy>=0.990,<0.1000; python_version >= "3.7"
+mypy>=1.0.0,<1.1.0; python_version >= "3.7"
 types-mock>=0.1.1
 types-contextvars>=0.1.2; python_version < "3.7"
 types-dataclasses>=0.1.3; python_version < "3.7"
@@ -36,3 +37,4 @@
 # Test to_disk/from_disk against pathlib.Path subclasses
 pathy>=0.3.5
 black>=22.0,<23.0
+isort>=5.0,<6.0

=== debian/changelog ===
python-thinc (8.2.2-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils, see #1065939

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Apr 2024 15:29:43 +0000

python-thinc (8.2.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:14:57 +0000

python-thinc (8.2.2-1) unstable; urgency=medium

  * New upstream version
  
  [ Bas Couwenberg ]
  * Switch to cython3-legacy.
    Closes: #1056875
  
  [ Andreas Tille ]
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove unused license definitions for BSD-3-Clause.
  * Fix clean target
    Closes: #1046341
  * No runtime dependency from cython3
    Closes: #1058004

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jan 2024 14:11:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-thinc
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3-legacy,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cymem,
@@ -28,7 +29,6 @@
                python3-tqdm,
                python3-wheel,
                python3-wrapt,
-               python3-distutils,
                python3-setuptools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-thinc

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_DISABLE_python2 = 1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 --requires=requirements.txt

## python-thinc 9.0.0

=== requirements.txt ===
# Explosion-provided dependencies
murmurhash>=1.0.2,<1.1.0
cymem>=2.0.2,<2.1.0
preshed>=3.0.2,<3.1.0
blis>=0.7.8,<0.8.0
srsly>=2.4.0,<3.0.0
wasabi>=0.8.1,<1.2.0
catalogue>=2.0.4,<2.1.0
confection>=0.0.1,<1.0.0
ml_datasets>=0.2.0,<0.3.0; python_version < "3.11"
# Third-party dependencies
pydantic>=1.7.4,!=1.8,!=1.8.1,<3.0.0
numpy>=1.19.0
packaging>=20.0
# Development dependencies
cython>=0.25.0,<3.0
hypothesis>=3.27.0,<6.72.2
pytest>=5.2.0,!=7.1.0
pytest-cov>=2.7.0,<5.0.0
coverage>=5.0.0,<8.0.0
mock>=2.0.0,<3.0.0
flake8>=3.5.0,<3.6.0
mypy>=1.5.0,<1.6.0; platform_machine != "aarch64"
types-mock>=0.1.1
# Executing notebook tests
ipykernel>=5.1.4,<5.2.0
nbconvert>=5.6.1,<6.2.0
nbformat>=5.0.4,<5.2.0
# Test to_disk/from_disk against pathlib.Path subclasses
pathy>=0.3.5
black>=22.0,<23.0
isort>=5.0,<6.0

=== debian/changelog ===
python-thinc (9.0.0-2) unstable; urgency=medium

  * Team upload.
  * Do not generate a runtime dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Thu, 01 Aug 2024 22:23:45 +0200

python-thinc (9.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 17:28:24 +0200

python-thinc (8.2.2-2) unstable; urgency=medium

  * Team Upload:
  * Remove old extraneous build-depenencies:
    * python3-distutils (Closes: #1065939)
    * python3-six (Closes: #1064616)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 15:36:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-thinc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -23,14 +22,13 @@
                python3-plac,
                python3-preshed,
                python3-pytest,
-               python3-six,
                python3-srsly,
                python3-termcolor,
                python3-tqdm,
                python3-wheel,
                python3-wrapt,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-thinc
 Vcs-Git: https://salsa.debian.org/science-team/python-thinc.git
 Homepage: https://thinc.ai/

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,9 @@
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME = thinc
-export PYBUILD_DISABLE_python2 = 1
 
 %:
 	dh $@ --buildsystem=pybuild
-
-override_dh_python3:
-	dh_python3 --requires=requirements.txt
 
 override_dh_auto_install:
 	dh_auto_install

## python-thinc 9.1.1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 murmurhash>=1.0.2,<1.1.0
 cymem>=2.0.2,<2.1.0
 preshed>=3.0.2,<3.1.0
-blis>=0.7.8,<0.8.0
+blis>=1.0.0,<1.1.0
 srsly>=2.4.0,<3.0.0
 wasabi>=0.8.1,<1.2.0
 catalogue>=2.0.4,<2.1.0
@@ -10,12 +10,12 @@
 ml_datasets>=0.2.0,<0.3.0; python_version < "3.11"
 # Third-party dependencies
 pydantic>=1.7.4,!=1.8,!=1.8.1,<3.0.0
-numpy>=1.19.0
+numpy>=2.0.0,<3.0.0
 packaging>=20.0
 # Development dependencies
 cython>=0.25.0,<3.0
 hypothesis>=3.27.0,<6.72.2
-pytest>=5.2.0,!=7.1.0
+pytest>=8.2.0
 pytest-cov>=2.7.0,<5.0.0
 coverage>=5.0.0,<8.0.0
 mock>=2.0.0,<3.0.0

=== debian/changelog ===
python-thinc (9.1.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:51:08 +0000

python-thinc (9.1.1-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch
  * New upstream version 9.1.1 (Closes: #1082128)
  * Replace cython-legacy usage with plain cython (Closes: #1089717)
  * Replace existing patches by new upstream PR
  * Add build-dep on python3-confection

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 May 2025 00:43:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: cython3-legacy,
+Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-numpy3,
                pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-confection,
                python3-cymem,
                python3-cython-blis,
                python3-cytoolz,

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	-find debian -type d -path '*.hypothesis*' -exec rm -rf '{}' +
 
 override_dh_auto_test:
@@ -17,6 +16,5 @@
 		dh_auto_test
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	-find . -type f -name cythonize.dat -delete
